$theme-colors: (
  "primary": #093ea8,
  "secondary": #fffaf3,
  "success": #fffaf3,
  "danger": #dc3545,
  "warning": #ffb03b,
  "light": #c0ccda,
  "dark": #000103,
  "brown": #35322d,
  "green": rgb(70, 130, 10) 
);
$white: white;


@import "/node_modules/bootstrap/scss/bootstrap.scss";

//??
// @import 'leaflet/dist/leaflet.css';

@font-face {
  font-family: "Poppins";
  src: url("/fonts/Poppins-Bold.ttf");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Raleway";
  src: url("/fonts/Raleway-Regular.ttf");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}
.ff-poppins {
  font-family: "Poppins";
  font-style: normal;
}
.min-h-550 {
  min-height: 550px;
}
.max-h-550 {
  max-height: 550px;
  overflow-y: scroll;
}
// #f9f0e4

//#fffaf3  for secondary
/*--------------------------------------------------------------
# General
--------------------------------------------------------------*/
.scroll-smooth {
  scroll-behavior: smooth;
}

body {
}

a {
  text-decoration: none;
  color: #ffb03b;
}

a:hover {
  color: #ffc56e;
  text-decoration: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Poppins", sans-serif;
}
// set this to only main page p
// p {
//   font-family: "Raleway", sans-serif;
//   font-style: italic;
// }

h1 {
  font-size: calc(1rem + 2.5vw);
}
h2 {
  font-size: calc(1.5vw + 1rem);
}

p {
  font-size: calc(0.8rem + 0.4vw);
}
@media screen and (max-width: 405px) {
  p {
    font-size: 1rem;
  }
}
.pointer {
  cursor: pointer;
}

.form-control:focus {
  border-color: $warning;
  box-shadow: none;
}
.dropdown-item:active {
  background-color: #ffb03b;
}
/*--------------------------------------------------------------
# Header
--------------------------------------------------------------*/
.header {
  background: rgba(26, 24, 22, 0.8);
}
.nav-link {
  color: $light;
  transition: color ease-in 300ms;
  &:focus,
  &:hover {
    color: $warning;
  }
}
/*--------------------------------------------------------------
# Hero Section
--------------------------------------------------------------*/
.hero {
  height: 100vh;
  position: relative;
}

.hero img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.overlay {
  background: rgba(0, 0, 0, 0.6);
}
/*--------------------------------------------------------------
# Gallery
--------------------------------------------------------------*/
.gallery {
  padding-bottom: 0;
}

.gallery .gallery-item {
  overflow: hidden;
  border-right: 3px solid #fff;
  border-bottom: 3px solid #fff;
}

.card img,
.gallery .gallery-item img {
  transition: all ease-in-out 0.4s;
}

.card:hover img,
.gallery .gallery-item:hover img {
  transform: scale(1.1);
}

.card:hover {
  border: 1px solid $warning;
}

/*--------------------------------------------------------------
# Contact
--------------------------------------------------------------*/
.contact .info-wrap {
  box-shadow: 0px 2px 15px rgba(0, 0, 0, 0.1);
  padding: 30px;
}

.contact .info {
  background: #fff;
}

.contact .info .icon {
  font-size: 20px;
  color: #ffb03b;
  float: left;
  width: 44px;
  height: 44px;
  background: #fff6e8;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50px;
  transition: all 0.3s ease-in-out;
}

.contact .info h4 {
  padding: 0 0 0 60px;
  font-size: 18px;
  font-weight: 600;
  margin-bottom: 5px;
  color: #433f39;
  font-family: "Poppins", sans-serif;
}

.contact .info p {
  padding: 0 0 0 60px;
  margin-bottom: 0;
  font-size: 14px;
  color: #7a7368;
}

.contact .info:hover .icon {
  background: #ffb03b;
  color: #fff;
}

.contact .php-email-form {
  width: 100%;
  box-shadow: 0 0 24px 0 rgba(0, 0, 0, 0.12);
  padding: 30px;
  background: #fff;
}

.contact .php-email-form .form-group {
  padding-bottom: 8px;
}

.contact .php-email-form .error-message {
  display: none;
  color: #fff;
  background: #ed3c0d;
  text-align: center;
  padding: 15px;
  font-weight: 600;
}

.contact .php-email-form .sent-message {
  display: none;
  color: #fff;
  background: #18d26e;
  text-align: center;
  padding: 15px;
  font-weight: 600;
}

.contact .php-email-form .loading {
  display: none;
  background: #fff;
  text-align: center;
  padding: 15px;
}

.contact .php-email-form .loading:before {
  content: "";
  display: inline-block;
  border-radius: 50%;
  width: 24px;
  height: 24px;
  margin: 0 10px -6px 0;
  border: 3px solid #18d26e;
  border-top-color: #eee;
  animation: animate-loading 1s linear infinite;
}

.contact .php-email-form input,
.contact .php-email-form textarea {
  border-radius: 0;
  box-shadow: none;
  font-size: 14px;
}

.contact .php-email-form input {
  height: 44px;
}

.contact .php-email-form textarea {
  padding: 10px 12px;
}

.contact .php-email-form button[type="submit"] {
  background: #ffb03b;
  border: 0;
  padding: 10px 24px;
  color: #fff;
  transition: 0.4s;
  border-radius: 50px;
}

.contact .php-email-form button[type="submit"]:hover {
  background: #ffa012;
}

@keyframes animate-loading {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

// navbar-mobile

.mw-80 {
  max-width: 80%;
}

//category

.category-link {
  font-size: 1rem;
  color: $dark;
  background: #f7e1c8ee;
  display: flex;
  align-items: center;
  transition: all 0.3s ease-in-out;
  svg {
    color: #ffb03b;
  }
  &:hover,
  &.active {
    color: $white;
    background-color: #ffb03b;
    svg {
      color: $white;
    }
  }
}

//category mobile

.colapse-btn svg {
  transform: rotate(0deg);
  transition: transform 0.3s ease-in-out;
}

.colapse-btn.active svg {
  transform: rotate(-180deg);
}

.collapse {
  max-height: 0;
  overflow: hidden;
  transition: all 0.3s ease-in-out;
}
.collapse:not(.show) {
  display: block;
  max-height: 0;
}
.collapse.show {
  max-height: 1000px;
}

// form
.form-check-input:checked {
  background-color: $warning;
  border-color: $warning;
}
.form-check-input:focus {
  outline: 0;
  box-shadow: 0 0 0 0.25rem rgba(253, 157, 13, 0.25);
}

#map {
  height: 500px;
}

.fs-smallest {
  font-size: 13px;
}

.notification {
  top: 65px;
  position: absolute;
  z-index: 1500;
  right: 0;
}

.min-h-100vh {
  min-height: 100vh;
}

.card-img-wraper {
  width: 100%;
  aspect-ratio: 2 / 1.5;
}